summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
authorVladimir Volovich <vvv@vsu.ru>2008-03-24 10:39:40 +0000
committerVladimir Volovich <vvv@vsu.ru>2008-03-24 10:39:40 +0000
commit9b4fd9b4eef2ee05aa73efb0368e36e699e238be (patch)
tree48e3fb19f82ca1b689b73a82d7fab4c1ac5f4224 /Build
parentc71488d834b52bd23c9f10b510b215bfff863b5f (diff)
renamed the --with-external-clisp[=PATH] configure option to --with-clisp[=PATH]
git-svn-id: svn://tug.org/texlive/trunk@7118 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Build')
-rw-r--r--Build/source/utils/xindy/INSTALL2
-rwxr-xr-xBuild/source/utils/xindy/configure27
-rw-r--r--Build/source/utils/xindy/configure.ac17
3 files changed, 21 insertions, 25 deletions
diff --git a/Build/source/utils/xindy/INSTALL b/Build/source/utils/xindy/INSTALL
index 23184d35b3e..66b43150622 100644
--- a/Build/source/utils/xindy/INSTALL
+++ b/Build/source/utils/xindy/INSTALL
@@ -29,7 +29,7 @@ about other compilers.
xindy contains CLISP, see http://clisp.cons.org/. If you have CLISP
installed already, you can use it with the configure option
---with-external-clisp[=PATH]. This is not intensively tested, though;
+--with-clisp[=PATH]. This is not intensively tested, though;
if you have problems with the resulting xindy system, please try it
again with the xindy-internal CLISP.
diff --git a/Build/source/utils/xindy/configure b/Build/source/utils/xindy/configure
index 7ff6b08d85e..562ac5b695d 100755
--- a/Build/source/utils/xindy/configure
+++ b/Build/source/utils/xindy/configure
@@ -1315,8 +1315,7 @@ Optional Features:
Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
- --with-external-clisp[=PATH]
- Use the external CLISP binary instead of re-building
+ --with-clisp[=PATH] Use the existing CLISP binary instead of re-building
CLISP from source in the rte/ directory
Some influential environment variables:
@@ -3835,14 +3834,14 @@ fi
-# Check whether --with-external-clisp was given.
-if test "${with_external_clisp+set}" = set; then
- withval=$with_external_clisp;
+# Check whether --with-clisp was given.
+if test "${with_clisp+set}" = set; then
+ withval=$with_clisp;
fi
CLISP=
-if test "x$with_external_clisp" = xyes; then
+if test "x$with_clisp" = xyes; then
# Extract the first word of "clisp", so it can be a program name with args.
set dummy clisp; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -3884,21 +3883,21 @@ fi
if test -z "$CLISP"; then
- { { echo "$as_me:$LINENO: error: --with-external-clisp specified, but clisp binary not found in PATH" >&5
-echo "$as_me: error: --with-external-clisp specified, but clisp binary not found in PATH" >&2;}
+ { { echo "$as_me:$LINENO: error: --with-clisp specified, but clisp binary not found in PATH" >&5
+echo "$as_me: error: --with-clisp specified, but clisp binary not found in PATH" >&2;}
{ (exit 1); exit 1; }; }
fi
-elif test "x$with_external_clisp" = xno; then
+elif test "x$with_clisp" = xno; then
if test -d "$srcdir/rte/clisp-2.43"; then
{ echo "$as_me:$LINENO: Using internal clisp" >&5
echo "$as_me: Using internal clisp" >&6;}
else
- { { echo "$as_me:$LINENO: error: --without-external-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43" >&5
-echo "$as_me: error: --without-external-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43" >&2;}
+ { { echo "$as_me:$LINENO: error: --without-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43" >&5
+echo "$as_me: error: --without-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43" >&2;}
{ (exit 1); exit 1; }; }
fi
-elif test -n "$with_external_clisp"; then
- CLISP="$with_external_clisp"
+elif test -n "$with_clisp"; then
+ CLISP="$with_clisp"
else
# Extract the first word of "clisp", so it can be a program name with args.
set dummy clisp; ac_word=$2
@@ -3970,8 +3969,6 @@ echo "$as_me: error: expected directory is not found: $CLISP_LIB/full" >&2;}
test -d "$CLISP_LIB/linkkit" || { { echo "$as_me:$LINENO: error: expected directory is not found: $CLISP_LIB/linkkit" >&5
echo "$as_me: error: expected directory is not found: $CLISP_LIB/linkkit" >&2;}
{ (exit 1); exit 1; }; }
- { echo "$as_me:$LINENO: Using external clisp" >&5
-echo "$as_me: Using external clisp" >&6;}
fi
if test -n "$CLISP"; then
diff --git a/Build/source/utils/xindy/configure.ac b/Build/source/utils/xindy/configure.ac
index ffe4c99bff7..17bfed52dbd 100644
--- a/Build/source/utils/xindy/configure.ac
+++ b/Build/source/utils/xindy/configure.ac
@@ -68,23 +68,23 @@ directory. I expected it to be in $srcdir/../../texk/kpathsea.
fi
AM_CONDITIONAL([TETEX_BUILD],[test "x$enable_tetex_build" = xyes])
-dnl use external or internal CLISP
-AC_ARG_WITH(external-clisp, AS_HELP_STRING([--with-external-clisp@<:@=PATH@:>@],[Use the external CLISP binary instead of re-building CLISP from source in the rte/ directory]))
+dnl location of CLISP binary
+AC_ARG_WITH(clisp, AS_HELP_STRING([--with-clisp@<:@=PATH@:>@],[Use the existing CLISP binary instead of re-building CLISP from source in the rte/ directory]))
CLISP=
-if test "x$with_external_clisp" = xyes; then
+if test "x$with_clisp" = xyes; then
AC_PATH_PROG(CLISP, clisp)
if test -z "$CLISP"; then
- AC_MSG_ERROR([--with-external-clisp specified, but clisp binary not found in PATH])
+ AC_MSG_ERROR([--with-clisp specified, but clisp binary not found in PATH])
fi
-elif test "x$with_external_clisp" = xno; then
+elif test "x$with_clisp" = xno; then
if test -d "$srcdir/rte/clisp-2.43"; then
AC_MSG_NOTICE([Using internal clisp])
else
- AC_MSG_ERROR([--without-external-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43])
+ AC_MSG_ERROR([--without-clisp specified, but clisp source directory not found at $srcdir/rte/clisp-2.43])
fi
-elif test -n "$with_external_clisp"; then
- CLISP="$with_external_clisp"
+elif test -n "$with_clisp"; then
+ CLISP="$with_clisp"
else
AC_PATH_PROG(CLISP, clisp)
if test -n "$CLISP"; then
@@ -104,7 +104,6 @@ if test -n "$CLISP"; then
test -f "$CLISP_LIB/clisp-link" || AC_MSG_ERROR([expected file is not found: $CLISP_LIB/clisp-link])
test -d "$CLISP_LIB/full" || AC_MSG_ERROR([expected directory is not found: $CLISP_LIB/full])
test -d "$CLISP_LIB/linkkit" || AC_MSG_ERROR([expected directory is not found: $CLISP_LIB/linkkit])
- AC_MSG_NOTICE([Using external clisp])
fi
AC_SUBST(CLISP)
AM_CONDITIONAL([EXT_CLISP], [test -n "$CLISP"])